TagLib::Mod::FileBase Class Reference

Base class for module files. More...

`#include <modfilebase.h>`

Inheritance diagram for TagLib::Mod::FileBase:
[legend]
Collaboration diagram for TagLib::Mod::FileBase:
[legend]

## Public Member Functions

| ~FileBase () override
| FileBase (const FileBase &)=delete
FileBase & | operator= (const FileBase &)=delete
Public Member Functions inherited from TagLib::File
virtual | ~File ()
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual Tag * | tag () const =0
virtual PropertyMap | properties () const
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual PropertyMap | setProperties (const PropertyMap &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Protected Member Functions

| FileBase (FileName file)
| FileBase (IOStream *stream)
void | writeString (const String &s, unsigned long size, char padding=0)
void | writeByte (unsigned char byte)
void | writeU16L (unsigned short number)
void | writeU32L (unsigned long number)
void | writeU16B (unsigned short number)
void | writeU32B (unsigned long number)
bool | readString (String &s, unsigned long size)
bool | readByte (unsigned char &byte)
bool | readU16L (unsigned short &number)
bool | readU32L (unsigned long &number)
bool | readU16B (unsigned short &number)
bool | readU32B (unsigned long &number)
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

Base class for module files.

## Constructor & Destructor Documentation

## ~FileBase()

TagLib::Mod::FileBase::~FileBase | ( |  | ) |

override

## FileBase() [1/3]

TagLib::Mod::FileBase::FileBase | ( | const FileBase & |  | ) |

delete

References FileBase().

Referenced by FileBase(), and operator=().

## FileBase() [2/3]

TagLib::Mod::FileBase::FileBase | ( | FileName | file | ) |

protected

## FileBase() [3/3]

TagLib::Mod::FileBase::FileBase | ( | IOStream * | stream | ) |

protected

## Member Function Documentation

## operator=()

FileBase & TagLib::Mod::FileBase::operator= | ( | const FileBase & |  | ) |

delete

References FileBase().

## readByte()

bool TagLib::Mod::FileBase::readByte | ( | unsigned char & | byte | ) |

protected

## readString()

bool TagLib::Mod::FileBase::readString | ( | String & | s,
|  | unsigned long | size )

protected

## readU16B()

bool TagLib::Mod::FileBase::readU16B | ( | unsigned short & | number | ) |

protected

## readU16L()

bool TagLib::Mod::FileBase::readU16L | ( | unsigned short & | number | ) |

protected

## readU32B()

bool TagLib::Mod::FileBase::readU32B | ( | unsigned long & | number | ) |

protected

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## readU32L()

bool TagLib::Mod::FileBase::readU32L | ( | unsigned long & | number | ) |

protected

## writeByte()

void TagLib::Mod::FileBase::writeByte | ( | unsigned char | byte | ) |

protected

## writeString()

void TagLib::Mod::FileBase::writeString | ( | const String & | s,
|  | unsigned long | size,
|  | char | padding = 0 )

protected

## writeU16B()

void TagLib::Mod::FileBase::writeU16B | ( | unsigned short | number | ) |

protected

## writeU16L()

void TagLib::Mod::FileBase::writeU16L | ( | unsigned short | number | ) |

protected

## writeU32B()

void TagLib::Mod::FileBase::writeU32B | ( | unsigned long | number | ) |

protected

## writeU32L()

void TagLib::Mod::FileBase::writeU32L | ( | unsigned long | number | ) |

protected

The documentation for this class was generated from the following file:

- modfilebase.h